      subroutine wrt_rst
      


      use Agrif_Util
#include "Param_BeforeCall_wrt_rst.h"
      

        call Sub_Loop_wrt_rst( Agrif_tabvars_i(14)%iarray0, Agrif_tabvar
     &s_i(4)%iarray0, Agrif_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%ia
     &rray0, Agrif_tabvars_i(167)%iarray0, Agrif_tabvars_i(58)%iarray0, 
     &Agrif_tabvars(119)%array3, Agrif_tabvars_i(57)%iarray1, Agrif_tabv
     &ars(148)%array5, Agrif_tabvars_i(56)%iarray0, Agrif_tabvars(149)%a
     &rray4, Agrif_tabvars_i(55)%iarray0, Agrif_tabvars_i(153)%iarray0, 
     &Agrif_tabvars(150)%array4, Agrif_tabvars_i(54)%iarray0, Agrif_tabv
     &ars(73)%array3, Agrif_tabvars_i(53)%iarray0, Agrif_tabvars(74)%arr
     &ay3, Agrif_tabvars_i(52)%iarray0, Agrif_tabvars_i(150)%iarray0, Ag
     &rif_tabvars(75)%array3, Agrif_tabvars_i(50)%iarray0, Agrif_tabvars
     &_c(18)%carray2, Agrif_tabvars_r(5)%array0, Agrif_tabvars_i(49)%iar
     &ray0, Agrif_tabvars_i(51)%iarray0, Agrif_tabvars_i(98)%iarray0, Ag
     &rif_tabvars_i(61)%iarray0, Agrif_tabvars_i(147)%iarray0, Agrif_tab
     &vars_i(48)%iarray0, Agrif_tabvars_c(9)%carray0, Agrif_tabvars_i(47
     &)%iarray0, Agrif_tabvars_i(46)%iarray0, Agrif_tabvars_i(176)%iarra
     &y0)

      end


#include "Sub_Loop_wrt_rst.h"
